/**
 * 
 */
package com.up.zpb.controller.api;

import javax.servlet.http.HttpServletRequest;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.up.zpb.controller.AbstractController;
import com.up.zpb.service.DictionaryService;
import com.up.zpb.util.Constant;
import com.up.zpb.util.ResultException;
import com.up.zpb.vo.ResultObject;

/**
 * @author zmg
 *
 */
@RestController
@RequestMapping(value = "/dictionary")
public class DictionaryController extends AbstractController {
	private static final Logger logger = LoggerFactory.getLogger(DictionaryController.class);

	@Autowired
	private DictionaryService dictionaryService;
	
	@PostMapping("/list/{parentKey}")
	public ResultObject projectList(HttpServletRequest request,@PathVariable(name="parentKey" ,required=true) String parentKey) {
		ResultObject resultObject = new ResultObject();
		try {
			resultObject.put("data", dictionaryService.selectMapByParentKey(parentKey));
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		return resultObject;
    }
	
	@PostMapping("/findAskPhone")
	public ResultObject findAskPhone(HttpServletRequest request){
		ResultObject resultObject = new ResultObject();
		try {
			resultObject.put("data", dictionaryService.findAskPhone());
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		return resultObject;
	}
}
