/**
 * 
 */
package com.up.zpb.controller.api;

import java.math.BigDecimal;
import java.util.Map;
import java.util.Objects;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.up.zpb.controller.AbstractController;
import com.up.zpb.service.ProjectOrderService;
import com.up.zpb.util.CheckParametersUtil;
import com.up.zpb.util.Constant;
import com.up.zpb.util.ObjectHelpUtils;
import com.up.zpb.util.ResultException;
import com.up.zpb.util.ServletUtils;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.enums.ProjectEnum;

/**
 * 认购订单表  
 * @author PJJ       
 * @version 1.0     
 * @created 2019年8月2日 下午7:39:45
 */
@RestController
@RequestMapping(value = "/project")
public class ProjectOrderController extends AbstractController {
	private static final Logger logger = LoggerFactory.getLogger(ProjectOrderController.class);

	@Autowired
	private ProjectOrderService projectOrderService;
	
	
	
	/*@PostMapping("/saveTrackLog")
	public ResultObject saveTrackLog(HttpServletRequest request) throws Exception{
		ResultObject resultObject=new ResultObject();
		Map<String,Object> parameters = ServletUtils.getParameters(request);
		logger.info("【saveTrackLog()开始==========入参："+parameters+"】");
		try{
			//首次到访
			CheckParametersUtil.getInstance()
			.put(parameters.get("projectId"), "projectId")
			.put(parameters.get("projectType"), "projectType")
			.put(parameters.get("orderStatus"), "orderStatus")
			.put(parameters.get("agentId"), "agentId")
			.checkParameter();
			if(ProjectEnum.OrderStatus.ORDER_SIGN.getValue().equals(parameters.get("orderStatus")+"")
					&& ("1".equals(parameters.get("projectType")+"") ||"2".equals(parameters.get("projectType")+""))){
				//如果是商铺或者写字楼，就必须传佣金比例+月租/成本价
				if(Objects.isNull(parameters.get("price")) && Objects.isNull(parameters.get("monthlyRent"))){
					resultObject.setCode(Constant.CODE_PARAM_NULL);
					resultObject.setMessage("签约必须填写[成本价或月租]");
					return resultObject;
				}
			}
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_PARAM_NULL);
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
			return resultObject;
		}
		resultObject=this.projectOrderService.saveTrackLog(parameters);
		logger.info("【saveTrackLog()结束=========="+resultObject+"】");
		return resultObject;
	}*/
	
	@PostMapping("/remindMsg")
	public Map<String, Object> remindMsg(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			Map<String,Object> parameters = ServletUtils.getParameters(request);
			logger.info("【remindMsg()开始=========="+parameters+"】");
			try {
				CheckParametersUtil.getInstance()
				.put(parameters.get("orderNo"), "orderNo")
				.checkParameter();
			} catch (Exception e) {
				resultObject.setCode(Constant.CODE_PARAM_NULL);
				resultObject.setMessage(e.getMessage());
				logger.error(e.getMessage(), e);
				return resultObject;
			}
			resultObject=this.projectOrderService.remindMsg(parameters);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		logger.info("【remindMsg()结束=========="+resultObject+"】");
		return resultObject;
	}
	
	
	/**
	 * 房源跟进联系记录 app
	 * @param request
	 * @return
	 */
	@PostMapping("/findConcatList")
	public Map<String, Object> findConcatList(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			Map<String,Object> parameters = ServletUtils.getParameters(request);
			logger.info("【findConcatList()开始=========="+parameters+"】");
			try {
				CheckParametersUtil.getInstance()
				.put(parameters.get("projectId"), "projectId")
				.put(parameters.get("projectType"), "projectType")
				.put(parameters.get("orderStatus"), "orderStatus")
				//.put(parameters.get("agentId"), "agentId")
				.checkParameter();
			} catch (Exception e) {
				resultObject.setCode(Constant.CODE_PARAM_NULL);
				resultObject.setMessage(e.getMessage());
				logger.error(e.getMessage(), e);
				return resultObject;
			}
			resultObject=this.projectOrderService.findConcatList(parameters);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		logger.info("【findConcatList()结束=========="+resultObject+"】");
		return resultObject;
	}
	
	
	/**
	 * 房源跟进联系记录 app
	 * 我发布的写字楼/商铺
	 * @param request
	 * @return
	 */
	@PostMapping("/findConcatBySeeList")
	public Map<String, Object> findConcatBySeeList(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			Map<String,Object> parameters = ServletUtils.getParameters(request);
			logger.info("【findConcatBySeeList()开始=========="+parameters+"】");
			try {
				CheckParametersUtil.getInstance()
				.put(parameters.get("projectId"), "projectId")
				.put(parameters.get("projectType"), "projectType")
				.put(parameters.get("orderStatus"), "orderStatus")
				.put(parameters.get("agentId"), "agentId")
				.checkParameter();
			} catch (Exception e) {
				resultObject.setCode(Constant.CODE_PARAM_NULL);
				resultObject.setMessage(e.getMessage());
				logger.error(e.getMessage(), e);
				return resultObject;
			}
			resultObject=this.projectOrderService.findConcatBySeeList(parameters);
		} catch (ResultException e) {
			resultObject.setCode(e.getCode());
			resultObject.setMessage(e.getMessage());
			logger.error(e.getMessage(), e);
		} catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		logger.info("【findConcatBySeeList()结束=========="+resultObject+"】");
		return resultObject;
	}
	
	
	
	
	
	@PostMapping("/findYjByOrderNo")
	public Map<String, Object> findYjByOrderNo(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			Map<String,Object> parameters = ServletUtils.getParameters(request);
			resultObject=this.projectOrderService.findYjByOrderNo(parameters);
		}  catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		logger.info("【findYjByOrderNo()结束=========="+resultObject+"】");
		return resultObject;
	}
	
	/**
	 * app-签约详情
	 * @param request
	 * @return
	 */
	@PostMapping("/signDetail")
	public Map<String, Object> signDetail(HttpServletRequest request) {
		ResultObject resultObject = new ResultObject();
		try {
			Map<String,Object> parameters = ServletUtils.getParameters(request);
			logger.info("【signDetail()开始=========="+parameters+"】");
			try {
				CheckParametersUtil.getInstance()
				.put(parameters.get("pot_id"), "pot_id")
				.checkParameter();
			} catch (Exception e) {
				resultObject.setCode(Constant.CODE_PARAM_NULL);
				resultObject.setMessage(e.getMessage());
				logger.error(e.getMessage(), e);
				return resultObject;
			}
			resultObject=this.projectOrderService.signDetail(parameters);
		}  catch (Exception e) {
			resultObject.setCode(Constant.CODE_EXCEPTION);
			resultObject.setMessage("系统异常");
			logger.error(e.getMessage(), e);
		}
		logger.info("【signDetail()结束=========="+resultObject+"】");
		return resultObject;
	}
	
	
}
