package com.up.zpb.hz.callback;

import lombok.Data;

/**
 * @author liuwei
 * 认证完成回调参数接收模型
 */
@Data
public class ApproveCallBack {

    /**
     * 流程id
     */
    private String flowId;

    /**
     * 	个人账户id，核身认证时为null
     */
    private String accountId;

    /**
     * 认证是否成功. true - 成功; false - 失败
     */
    private boolean success;

    /**
     *	业务上下文Id
     */
    private String contextId;

    /**
     * 认证结果校验码,用于串联e签宝其他业务
     */
    private String verifycode;

    /**
     * 	历史版本兼容字段，新用户忽略，等价于flowId
     */
    private String serviceId;

    /**
     * 历史版本兼容字段，新用户忽略，等价于success
     */
    private boolean status;


    //=====================================================
    /**
     * 企业冗余字段
     */

    /**
     * 经办人认证流程id，无经办人认证是为null
     */
    private String agentFlowId;

    /**
     *经办人账户id，核身认证时为null
     */
    private String agentAccountId;

    /**
     *  历史版本兼容字段，新用户忽略，等价于agentFlowId
     */
    private String agentServiceId;

	/**
	 * 历史版本兼容字段，新用户忽略，等价于AccountId
	 * @return
	 */
	private String orgAccountId;

	public String getFlowId() {
		return flowId;
	}

	public void setFlowId(String flowId) {
		this.flowId = flowId;
	}

	public String getAccountId() {
		return accountId;
	}

	public void setAccountId(String accountId) {
		this.accountId = accountId;
	}

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public String getContextId() {
		return contextId;
	}

	public void setContextId(String contextId) {
		this.contextId = contextId;
	}

	public String getVerifycode() {
		return verifycode;
	}

	public void setVerifycode(String verifycode) {
		this.verifycode = verifycode;
	}

	public String getServiceId() {
		return serviceId;
	}

	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}

	public boolean isStatus() {
		return status;
	}

	public void setStatus(boolean status) {
		this.status = status;
	}

	public String getAgentFlowId() {
		return agentFlowId;
	}

	public void setAgentFlowId(String agentFlowId) {
		this.agentFlowId = agentFlowId;
	}

	public String getAgentAccountId() {
		return agentAccountId;
	}

	public void setAgentAccountId(String agentAccountId) {
		this.agentAccountId = agentAccountId;
	}

	public String getAgentServiceId() {
		return agentServiceId;
	}

	public void setAgentServiceId(String agentServiceId) {
		this.agentServiceId = agentServiceId;
	}

	public String getOrgAccountId() {
		return orgAccountId;
	}

	public void setOrgAccountId(String orgAccountId) {
		this.orgAccountId = orgAccountId;
	}

	public ApproveCallBack() {
	}
}
