package com.up.zpb.hz.param;

import com.alibaba.fastjson.JSONObject;

import java.util.HashMap;

/**
 * @author liuwei
 */
public class IdentityUtil {

    /**
     * 对个人姓名、身份证号和手机号码的一致性进行检查校验
     */                                //身份证号           名称
    public static String checkIdentity(String idNo, String name){
        JSONObject json = new JSONObject();
        json.put("idNo",idNo);
        json.put("name",name);
        return json.toString();
    }


    /**
     * 发起个人刷脸实名认证
     * 申请刷脸地址进行人脸识别认证
     * /v2/identity/auth/api/individual/{accountId}/face
     */                         //人脸方式                  重复实名       认证状态改变通知地址   	认证发起来源         认证后 重定向地址
    public static String face(String contextId,boolean repetition, String notifyUrl, String origin, String redirectUrl){
        JSONObject json = new JSONObject();
        json.put("authType","");
        json.put("repetition",repetition);

        HashMap<String, String> map = new HashMap<>();
        map.put("origin",origin);
        map.put("notifyUrl",notifyUrl);
        map.put("redirectUrl",redirectUrl);
        map.put("contextId",contextId);

        json.put("contextInfo",map);
        return json.toString();
    }


    /**
     * 获取组织机构实名认证地址
     * 获取组织机构实名认证地址
     * /v2/identity/auth/web/{accountId}/orgIdentityUrl
     */
    public static String orgIdentity(
            String agentAccountId, // 经办人ID
            String contextId,      //发起方业务上下文ID    我方userAppID
            String notifyUrl,       //发起方接收认证状态变更回调地址
            String origin,          //发起实名来源
            String redirectUrl      //重定向地址
    ){
        JSONObject json = new JSONObject();
        json.put("agentAccountId",agentAccountId);

        HashMap<String, String> map = new HashMap<>();
        map.put("contextId",contextId);
        map.put("origin",origin);
        map.put("notifyUrl",notifyUrl);
        map.put("redirectUrl",redirectUrl);

        json.put("contextInfo",map);
        return json.toString();
    }

}
