package com.up.zpb.mapper;

import com.up.zpb.vo.UserApp;

import java.util.Map;

public interface UserMapper {

	/**
	 * 根据手机号查询用户信息
	 * @param map
	 * @return
	 */
	UserApp selectUserByAccount(Map<String, Object> map);

	/**
	 * 修改用户信息
	 * @param userApp
	 */
	void updateUser(UserApp userApp);

	/**
	 * 创建用户记录
	 * @param userApp
	 * @return
	 */
	void saveUser(UserApp userApp);
	
	/**
	 * 判断是否微信登录过
	 * @param parameters
	 * @return
	 */
	int isWeChatLogin(Map<String, Object> parameters);

	/**
	 * 根据用户Id查询用户
	 * @param id
	 * @return
	 */
	UserApp selectById(Integer id);

	Map<String, Object> findAgentEntityById(String id);

	Map<String, Object> getUser(Map<String, Object> parameters);
	
	int selectSysUserByAccount(String account);

    UserApp selectPhone(Map<String, Object> mapParam);

    UserApp selectUserWxOpenId(Map<String, Object> parameters);
}
