/**
 * 
 */
package com.up.zpb.run;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author Administrator
 *
 */
@SpringBootApplication(scanBasePackages = {"com.up.zpb"})
@MapperScan(basePackages= {"com.up.zpb.mapper"})

@EnableTransactionManagement
@EnableAsync
@EnableCaching
//@EnableRedisHttpSession
@EnableScheduling
public class UpSpringApplication extends SpringBootServletInitializer {
	private static final Logger logger = LoggerFactory.getLogger(UpSpringApplication.class);
	
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(UpSpringApplication.class);
	}
	
	/**
	 * 启动项 
	 * @param args
	 */
	public static void main(String[] args) {
		logger.info("开始启动[商办联租联卖平台项目=============start]");
		SpringApplication.run(UpSpringApplication.class, args);
		logger.info("启动完成[商办联租联卖平台项目=============end]");
	}

}
