package com.up.zpb.service;

import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

import com.up.zpb.vo.ResultObject;

public interface MemberService {

	/**
	 * 
	 * @param mapParams
	 * @return
	 */
	int findByUserId(Map<String,Object> mapParams);
	
	/**
	 * 创建收藏记录
	 * @param parameters
	 */
	void createShopCollection(Map<String, Object> parameters);

	/**
	 * 获取会员产品列表
	 * @param parameters
	 * @return
	 */
	List<Map<String,Object>> selectProductList(Map<String, Object> parameters);

	/**
	 * 获取订单分页数据
	 * @param parameters
	 * @return
	 */
	ResultObject getMyOrders(Map<String, Object> parameters);

	/**
	 * 获取会员信息
	 * @param parameters
	 * @return
	 */
	ResultObject getMyMember(Map<String, Object> parameters);

	/**
	 * 查询是否有未读消息
	 * @param parameters
	 * @return
	 */
	ResultObject getMsgStatus(Map<String, Object> parameters);

	/**
	 * 获取消息列表
	 * @param parameters
	 * @return
	 */
	ResultObject selectMsgList(Map<String, Object> parameters);

	/**
	 * 修改消息状态
	 * @param parameters
	 * @return
	 */
	ResultObject updateMsgStatus(Map<String, Object> parameters);

	/**
	 * 获取收藏列表
	 * @param parameters
	 * @return
	 */
	ResultObject selectCollectionList(Map<String, Object> parameters);

	/**
	 * 删除收藏
	 * @param parameters
	 * @return
	 */
	ResultObject deleteCollection(Map<String, Object> parameters);

	/**
	 * 取消收藏
	 * @param parameters
	 * @return
	 */
	ResultObject cancelCollection(Map<String, Object> parameters);

	ResultObject weChatShare(Map<String, Object> parameters) throws UnsupportedEncodingException;

//	/**
//	 * 判断是否微信登录过
//	 * @param parameters
//	 * @return
//	 */
//	ResultObject isWeChatLogin(Map<String, Object> parameters);

	/**
	 * 微信登录绑定手机号
	 * @param parameters
	 * @return
	 */
	ResultObject weChatLogin(Map<String, Object> parameters);

	/**
	 * 记录登录后当日首次分享次数
	 * @param parameters
	 * @return
	 */
	ResultObject shareRecords(Map<String, Object> parameters);

	/**
	 * 获取用户操作记录表
	 * @param parameters
	 * @return
	 */
	ResultObject selectUserOperList(Map<String, Object> parameters);


    ResultObject isWeChatLogin(Map<String, Object> parameters);
}
