package com.up.zpb.service;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.fastjson.JSONObject;
import com.up.zpb.vo.AgentEntity;
import com.up.zpb.vo.CommissionEntity;
import com.up.zpb.vo.Office;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.SumMyFollow;

@Transactional(propagation=Propagation.SUPPORTS)
public interface OfficeService {

	public Map<String,Object> selectMapByParentKey(String parentKey);
	
	ResultObject findList(Map<String,Object> paraMap);

	ResultObject findOfficeSaleSearch(Map<String, Object> parameters);

	ResultObject selectOfficePage(Map<String, Object> paraMap);

	ResultObject selectHotOffice(Map<String, Object> paraMap);

	ResultObject findOfficeRentSearch(Map<String, Object> parameters);

	ResultObject findOfficeNewSearch(Map<String, Object> parameters);

	ResultObject pcOfficeDetail(Map<String, Object> paraMap);

	void analysisLeftRight(Map<String, Object> parameters);

	ResultObject findMyFollowOfficePage(Map<String, Object> paraMap);

	ResultObject publishOffice(Map<String, Object> parameters,Office entity);

	ResultObject findMyPublishOfficePage(Map<String, Object> paraMap);

	/**
	 * 个人管理-跟进的写字楼
	 */
	ResultObject selectOfficeManager(Map<String, Object> paraMap);

	List<Map<String, Object>> findAreaAndRegions(String cityId);

	ResultObject appOfficeDetail(Map<String, Object> paraMap);

	void followLog(String projectId,String projectType,String loginUserId,ResultObject resultObject);

	String getNodeName(String projectId, String projectType, String agentId);

	List<SumMyFollow> getSumFiveStatusList(String projectId,String projectType,String agentId);

	ResultObject crawlerShop(JSONObject jsonObject);

	void jsonRoleType(ResultObject resultObject, String projectId, String projectType, String loginUserId,
			String agentId);

	ResultObject crawlerNewDiskOffice(JSONObject jsonObject);

	AgentEntity findAgentEntity(String agentId);

	CommissionEntity jsonCommission(String channel, String rentType, String commission,String commissionType);

	BigDecimal jsMonthRent(String dailyRent, String buildArea);

	List<Map<String, Object>> appFindAreaAndRegions(String cityId);

	ResultObject officeOut(Map<String,Object> params);

	ResultObject updatePublishOffice(Map<String, Object> parameters, Office entity);
}
