package com.up.zpb.service;

import java.util.List;
import java.util.Map;

import com.up.zpb.vo.ResultObject;

public interface ShowInfoService {

	/**
	 * 获取首页信息
	 * @param parameters
	 * @return
	 */
	Map<String,Object> getShowInfo(Map<String,Object> parameters);

    /**
     * 获取可切换的城市
     * @param parameters
     * @return
     */
    ResultObject changeCity(Map<String, Object> parameters);

    /**
     * 获取app版本升级信息
     * @param parameters
     * @return
     */
    ResultObject getUpgradeVersionInfo(Map<String, Object> parameters);

	/**
	 * 获取商铺指数详情
	 * @param parameters
	 * @return
	 */
	ResultObject getShopExponential(Map<String, Object> parameters);

	/**
	 * 获取品牌列表(分页)
	 * @param parameters
	 * @return
	 */
	ResultObject getBrandList(Map<String, Object> parameters);



	/**
	 * 委托提交
	 * @param parameters
	 * @return
	 */
	ResultObject addCutomer(Map<String, Object> parameters);

	/**
	 * 官网首页
	 * @param parameters
	 * @return
	 */
	ResultObject showInfoPC(Map<String, Object> parameters,String indexKey);
	
	
	List<Map<String,Object>> createShop(List<Map<String,Object>> list,String type,String source);

	/**
	 * 获取官网委托数据
	 * @param parameters
	 * @return
	 */
	ResultObject selectNumber(Map<String, Object> parameters);
	
	/**
	 * 获取cusId
	 * @return
	 */
	public String getNextCustomerID(String pre);

	ResultObject findBrandDetail(Map<String, Object> parameters);

	ResultObject findBrandSearch(Map<String, Object> parameters);

	List<Map<String, Object>> findOfficeList(String cityId,String typeSale);

	List<Map<String, Object>> findShopList(String cityId, String rentType);

	List<String> findLabelByObjId(String objectId, String type, String parentKey);

	List<Map<String, Object>> findLabelByOid2(String objectId, String type, String parentKey);

	ResultObject savePhoneRecord(Map<String, Object> parameters);

	
}
