package com.up.zpb.service.impl;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.up.zpb.mapper.AreasMapper;
import com.up.zpb.mapper.BusinessAreaMapper;
import com.up.zpb.service.AppRentService;
import com.up.zpb.service.DictionaryService;
import com.up.zpb.service.ShopService;
import com.up.zpb.service.customer.CustomerService;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.Shop;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class AppRentServiceImpl implements AppRentService {

    @Autowired
    private AreasMapper areasMapper;
    @Autowired
    private BusinessAreaMapper businessAreaMapper;
    @Autowired
    private DictionaryService dictionaryService;
    @Autowired
    private CustomerService customerService;


    @Override
    public ResultObject getJson(String cityId) {
        ResultObject resultObject = new ResultObject();
        List<Map<?, ?>> areas = Lists.newArrayList(getUnlimited());
        areasMapper.selectByParentId(cityId).forEach(a -> {
            Map<String, Object> c1 = Maps.newHashMap();
            c1.put("id", a.get("id"));
            c1.put("name", a.get("area_name"));
            List<Map<?, ?>> childList = Lists.newArrayList();
            businessAreaMapper.selectByAreaId(a.get("id").toString()).forEach(ba -> {
                Map<String, Object> c2 = Maps.newHashMap();
                c2.put("childId", ba.get("id"));
                c2.put("childName", ba.get("name"));
                childList.add(c2);
            });
            
            c1.put("childList", childList);
            areas.add(c1);
        });

        resultObject.put("shopAreas", areas);
        //商铺类型
        resultObject.put("shopType", getParent(dictionaryService.selectMapByParentKey("133")));
        //写字楼类型
        resultObject.put("shopOfficeType", getParent(dictionaryService.selectMapByParentKey("510")));
        return resultObject;
    }

    
    @Override
    public ResultObject getShangBanJson(String cityId) {
        ResultObject resultObject = new ResultObject();
        List<Map<?, ?>> areas = Lists.newArrayList();
        areasMapper.selectByParentId(cityId).forEach(a -> {
            Map<String, Object> c1 = Maps.newHashMap();
            c1.put("id", a.get("id"));
            c1.put("name", a.get("area_name"));
            List<Map<?, ?>> childList = Lists.newArrayList();
            if(!"全部".equals(c1.get("name")+"")){
            	businessAreaMapper.selectByAreaId(a.get("id").toString()).forEach(ba -> {
            		Map<String, Object> c2 = Maps.newHashMap();
            		c2.put("childId", ba.get("id"));
            		c2.put("childName", ba.get("name"));
            		if(!"全部".equals(ba.get("name")+"")){
            			childList.add(c2);
            		}
            	});
            	
            	c1.put("childList", childList);
            	areas.add(c1);
            }
        });
        resultObject.put("shopAreas", areas);
        return resultObject;
    }
    
    
    

    public List<Map<String,Object>> getParent(List<Map<String,Object>> ListMap){
        List<Map<String,Object>> parent = new ArrayList<>();
        Map<String, Object> map = new HashMap<>();
        map.put("name", "请选择");
        map.put("id", -1);
        parent.add(map);
        ListMap.addAll(0,parent);
        return ListMap;
    }


    private static Map<String, Object> getUnlimited() {
        Map<String, Object> topMap = Maps.newHashMap();
        topMap.put("id", -1);
        topMap.put("name", "请选择");
        List<Map<?, ?>> childList = Lists.newArrayList();
        Map<String, Object> childMap = Maps.newHashMap();
        childMap.put("childId", -1);
        childMap.put("childName", "请选择");
        childList.add(childMap);
        topMap.put("childList", childList);
        return topMap;
    }

}
