package com.up.zpb.service.impl;

import com.up.zpb.mapper.MemberOrderMapper;
import com.up.zpb.service.MemberOrderService;
import com.up.zpb.util.Constant;
import com.up.zpb.vo.ResultObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Service
public class MemberOrderServiceImpl implements MemberOrderService {


    private static final Logger logger = LoggerFactory.getLogger(MemberOrderServiceImpl.class);

    @Autowired
    private MemberOrderMapper memberOrderMapper;

    @Override
    public ResultObject getInfoEndTime(Map<String, Object> parameters) {
        ResultObject resultObject = new ResultObject();
        //返回给ios的
        try {
            if (Objects.nonNull(parameters.get("type"))) {
                List<Map<String, Object>> map = memberOrderMapper.getInfoEndTime(parameters);
                if (map.size() > 0) {
                    Map<String, Object> map1 = new HashMap<>();
                    map1.put("count", "每日可查看30次");
                    map1.put("end_time", map.get(0).get("end_time"));
                    resultObject.put("data", map1);
                    return resultObject;
                }
                Map<String, Object> map1 = new HashMap<>();
                resultObject.put("data", map1);
                return resultObject;
            }
        } catch (Exception e) {
            resultObject.setCode(Constant.CODE_EXCEPTION);
            resultObject.setMessage("系统错误");
            logger.error(e.getMessage(), e);
            return resultObject;
        }

        //返回给安卓的
        try {
            List<Map<String, Object>> map = memberOrderMapper.getInfoEndTime(parameters);
            if (map.size() == 0) {
                resultObject.put("data", map);
                return resultObject;
            }
            map.get(0).put("count", "每日可查看30次");
            resultObject.put("data", map);
            return resultObject;
        } catch (Exception e) {
            resultObject.setCode(Constant.CODE_EXCEPTION);
            resultObject.setMessage("系统错误");
            logger.error(e.getMessage(), e);
            return resultObject;
        }
    }
}
