package com.up.zpb.service.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

import com.up.zpb.service.CrmCustomerService;
import com.up.zpb.vo.CrmCustomer;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.zpb.mapper.PaidianrecordMapper;
import com.up.zpb.mapper.ShopMapper;
import com.up.zpb.mapper.ShopPhotoMapper;
import com.up.zpb.service.PhotoService;
import com.up.zpb.vo.ResultObject;
import com.up.zpb.vo.ShopPhoto;

@Service
public class PhotoServiceImpl implements PhotoService {

    @Autowired
    private ShopPhotoMapper shopPhotoMapper;
    @Autowired
    private ShopMapper shopMapper;
    @Autowired
    private PaidianrecordMapper paidianRecordMapper;

    @Autowired
    private CrmCustomerService crmCustomerService;

    @Override
    public ResultObject verifyPhone(Map<String, Object> parameters) {
        ResultObject resultObject = new ResultObject();
        //根据手机号查询改手机号是否在拍店记录表中有数据
        Map<String, Object> map = new HashMap<String, Object>();
        map.put("account", parameters.get("phone"));
        map.put("cityId", parameters.get("cityId"));
        int count = shopPhotoMapper.selectPhoneCount(parameters);
        int shopCount = shopMapper.selectByPhone(map);
        //根据手机号查询改手机号是否在拍店表中有数据
        boolean flag = false;//默认手机号存在
        if (0 == count && 0 == shopCount) {
            flag = true;//手机号
        }
        resultObject.put("flag", flag);
        return resultObject;
    }

    @Override
    public ResultObject savePhotoInfo(Map<String, Object> parameters) {
        ResultObject resultObject = new ResultObject();
        ShopPhoto sp = new ShopPhoto();
        sp.setAddress(parameters.get("address").toString());
        sp.setCoordinate(parameters.get("location").toString());
        sp.setImgs(parameters.get("imgs").toString());
        sp.setPhone(parameters.get("phone").toString());
        sp.setUserId(Integer.valueOf(parameters.get("authentication").toString()));
        sp.setCityId(parameters.get("cityId").toString());
        sp.setState(1);//待审核
        shopPhotoMapper.savePhotoInfo(sp);
        return resultObject;
    }

    @Override
    public ResultObject getPhotoList(Map<String, Object> parameters) {
        ResultObject resultObject = new ResultObject();
        List<Map<String, Object>> lists = new ArrayList<Map<String, Object>>();
        List<Map<String, Object>> list = shopPhotoMapper.selectList(parameters);
        if (Objects.nonNull(list) && list.size() != 0) {
            for (Map<String, Object> map : list) {
                String imgs = map.get("photo_imgs").toString();
                String[] split = imgs.split(",");
                map.put("img", split[0]);
                map.remove("photo_imgs");
                lists.add(map);
            }
        } else {
            lists = list;
        }
        resultObject.put("data", lists);
        return resultObject;
    }

    @Override
    public ResultObject getPhotoRules(Map<String, Object> parameters) {
        ResultObject resultObject = new ResultObject();
        if (!StringUtils.equals("110100", parameters.get("cityId").toString())) {
            parameters.put("cityId", 0);
        }
        resultObject.put("data", shopPhotoMapper.selectPhotoRules(parameters));
        return resultObject;
    }

}
