package com.up.zpb.service.impl;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.up.zpb.mapper.ShopAreaExponentialMapper;
import com.up.zpb.service.ShopAreaExponentialService;
import com.up.zpb.vo.ShopAreaExponential;

/**
 * 商铺区域指数
 * @author gust
 *
 */
@Service
@Transactional(propagation=Propagation.SUPPORTS)
public class ShopAreaExponentialServiceImpl implements ShopAreaExponentialService{
	
	private static final Logger logger = LoggerFactory.getLogger(ShopAreaExponentialServiceImpl.class);
	@Autowired
	ShopAreaExponentialMapper shopAreaExponentialMapper;
	
	@Override
	public List<ShopAreaExponential> selectByCityId(Map<String, Object> parameters) {
		logger.info("ShopAreaExponentialServiceImpl selectByCityId parameters:{}",parameters);
		return shopAreaExponentialMapper.selectByCityId(parameters);
	}

}
