package com.up.zpb.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 公共工具类
 * 
 * @author joker
 *
 */
public class UpzlUtils {

	/**
	 * 时间工具类，用于时间控件查询时EndTime精度问题
	 * 
	 * @param date
	 * @return
	 */
	public static Date timeHelper(Date date) {
		try {
			if (null != date) {
				SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd hh:mm:ss");
				SimpleDateFormat sdfShort = new SimpleDateFormat("yyyy年MM月dd");
				return sdf.parse(sdfShort.format(date) + " 23:59:59");
			}
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return date;
	}
	
	public static Date endTimeHelper(Date date) {
		try {
			if (null != date) {
				SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd hh:mm:ss");
				SimpleDateFormat sdfShort = new SimpleDateFormat("yyyy/MM/dd");
				return sdf.parse(sdfShort.format(date) + " 23:59:59");
			}
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return date;
	}
	
	public static Date startTimeHelper(Date date) {
		try {
			if (null != date) {
				SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd hh:mm:ss");
				SimpleDateFormat sdfShort = new SimpleDateFormat("yyyy/MM/dd");
				return sdf.parse(sdfShort.format(date) + " 00:00:00");
			}
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return date;
	}
	
	public static Date endTimeHelper2(Date date) {
		try {
			if (null != date) {
				SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
				SimpleDateFormat sdfShort = new SimpleDateFormat("yyyy-MM-dd");
				return sdf.parse(sdfShort.format(date) + " 23:59:59");
			}
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return date;
	}
	
	public static Date beginTimeHelper(Date date) {
		try {
			if (null != date) {
				SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd hh:mm:ss");
				SimpleDateFormat sdfShort = new SimpleDateFormat("yyyy/MM/dd");
				return sdf.parse(sdfShort.format(date) + " 00:00:00");
			}
		} catch (ParseException e) {
			e.printStackTrace();
		}
		return date;
	}
	
	
	
	
	
	
	/**
	 * 描述 今天凌晨
	 * 
	 * @param currentTimeMillis
	 * @return
	 */
	public static String getDayStart(Date currentTime) {
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd 00:00:00");
		String dateString = formatter.format(currentTime);
		return dateString;
	}
	
	/**
	 * 今天最后23:59:59
	 * 
	 * @param currentTimeMillis
	 * @return
	 */
	public static String getDayEnd(Date currentTime) {
		SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd 23:59:59");
		String dateString = formatter.format(currentTime);
		return dateString;
	}

	
	
	
	/*public static void main(String[] args) {
		System.out.println( getDayStart());
		System.out.println( getDayEnd());
	}*/
	
	
}
