package com.up.zpb.vo;

import lombok.Data;

import java.util.Date;

/**
 * 用户表
 *
 * @author gust
 */
@Data
public class UserApp {

    /**
     * ID
     */
    private Integer id;

    /**
     * 上级id
     */
    private int parentId;

    /**
     * 账号
     */
    private String account;

    /**
     * 状态 ：锁定, 正常
     */
    private Integer status;

    /**
     * 首次登陆时间
     */
    private Date firstTime;

    /**
     * 客户端平台 ：Android, IOS, PC
     */
    private Integer platForm;

    /**
     * 累计登陆次数
     */
    private Integer loginCount;

    /**
     * 渠道 0 Android 1 IOS 2 M站
     */
    private Integer channel;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 商铺浏览次数累加（来源：商铺纠错+5）
     */
    private int pvNum;

    /**
     * 求租拨打联系人电话 每天上限30次
     */
    private int telCount;

    /**
     * 省id
     */
    private String provinceId;

    /**
     * 市ID
     */
    private String cityId;

    /**
     * 微信唯一标识
     */
    private String wxOpenId;

    /**
     * 登陆密码 md5加密
     */
    private String password;

	/**
	 * 用户类型 1个人 2经纪人 3公司
	 */
	private String userType;

	/**
	 * 姓名
	 */
	private String accountName;

	/**
	 * 公司名称
	 */
	private String corporateName;

	/**
	 * 公司简称
	 */
	private String corporateNames;

	/**
	 * 公司营业执照
	 */
	private String corporateImg;

	/**
	 * 公司城市名称
	 */
	private String corporateCity;
	
	//是否为内部经纪人 0:否 1：是
    private Integer own;

    //推荐人id
    private Integer recommendId;

	public Integer getOwn() {
		return own;
	}

	public void setOwn(Integer own) {
		this.own = own;
	}

	public Integer getRecommendId() {
		return recommendId;
	}

	public void setRecommendId(Integer recommendId) {
		this.recommendId = recommendId;
	}

	public String getCorporateNames() {
		return corporateNames;
	}

	public void setCorporateNames(String corporateNames) {
		this.corporateNames = corporateNames;
	}

	public String getCorporateCity() {
		return corporateCity;
	}

	public void setCorporateCity(String corporateCity) {
		this.corporateCity = corporateCity;
	}

	public int getParentId() {
		return parentId;
	}

	public void setParentId(int parentId) {
		this.parentId = parentId;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getCorporateName() {
		return corporateName;
	}

	public void setCorporateName(String corporateName) {
		this.corporateName = corporateName;
	}

	public String getCorporateImg() {
		return corporateImg;
	}

	public void setCorporateImg(String corporateImg) {
		this.corporateImg = corporateImg;
	}

	public Boolean getContract() {
		return contract;
	}

	public void setContract(Boolean contract) {
		this.contract = contract;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getAccount() {
		return account;
	}

	public void setAccount(String account) {
		this.account = account;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getFirstTime() {
		return firstTime;
	}

	public void setFirstTime(Date firstTime) {
		this.firstTime = firstTime;
	}

	public Integer getPlatForm() {
		return platForm;
	}

	public void setPlatForm(Integer platForm) {
		this.platForm = platForm;
	}

	public Integer getLoginCount() {
		return loginCount;
	}

	public void setLoginCount(Integer loginCount) {
		this.loginCount = loginCount;
	}

	public Integer getChannel() {
		return channel;
	}

	public void setChannel(Integer channel) {
		this.channel = channel;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public int getPvNum() {
		return pvNum;
	}

	public void setPvNum(int pvNum) {
		this.pvNum = pvNum;
	}

	public int getTelCount() {
		return telCount;
	}

	public void setTelCount(int telCount) {
		this.telCount = telCount;
	}

	public String getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(String provinceId) {
		this.provinceId = provinceId;
	}

	public String getCityId() {
		return cityId;
	}

	public void setCityId(String cityId) {
		this.cityId = cityId;
	}

	public String getWxOpenId() {
		return wxOpenId;
	}

	public void setWxOpenId(String wxOpenId) {
		this.wxOpenId = wxOpenId;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

    

    /**
     * 是否签署合同
     */
    private Boolean contract;
}
