package com.up.zpb.vo.enums;

public class CallEnum {

	//坐席状态
    public enum Status {
    	Idle("Idle", "置闲"),
    	NotReady("NotReady", "置忙"), 
    	Talking("Talking", "通话"), 
    	LoggedOut("LoggedOut", "登出"), 
    	Ringing("Ringing", "振铃"), 
    	Held("Held", "保持"), 
    	Acw("Acw", "事后整理"), 
    	Dialing("Dialing", "拨通");

        private String name;
        private String value;

        public static Status codeOf(String value) {
            for(Status a:Status.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        Status(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    //坐席外呼状态
    public enum MakeCallStatus {
    	CALL_SUCC("000", "成功"),
    	CALL_FAIL("001", "接口调用失败"),
    	CALL_NO_RUN("002", "当前状态不能执行"),
    	CALL_TEL_FAIL("003", "呼叫号码不存在"),
    	CALL_YOU("004", "不能呼叫自己的分机号码"),
    	CALL_FAIL_TYPE("005", "转接类型不正确"),
    	CALL_OTHER("006", "其他错误"),
    	CALL_LOGINING("009", "坐席正在登录");

        private String name;
        private String value;

        public static MakeCallStatus codeOf(String value) {
            for(MakeCallStatus a:MakeCallStatus.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        MakeCallStatus(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
    
    //坐席登录状态
    public enum LoginStatus {
    	LOGIN_SUCC("000", "成功（消息下发成功）"),
    	LOGIN_GONGHAO_NO("001", "坐席工号不存在"),
    	LOGIN_FENJI_NO("002", "分机号码不存在"),
    	LOGIN_PASSWORDD_FAIL("003", "坐席密码错误"),
    	LOGIN_NO_GROUP("004", "坐席未分配技能组"),
    	LOGIN_HAVE_LOGIN("005", "坐席已登录"),
    	LOGIN_OTHER("006", "其他错误"),
    	LOGIN_COMPANY_NO("007", "企业不存在"),
    	LOGIN_NO_OPEN("008", "该坐席未启用"),
    	LOGIN_LOGION_MIDDLE("009", "坐席正在登录中"),
    	CALL_LOGINING("010", "坐席未登录");

        private String name;
        private String value;

        public static LoginStatus codeOf(String value) {
            for(LoginStatus a:LoginStatus.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        LoginStatus(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
  /**
   * 主叫未振铃挂断（204-500-501）
	主叫振铃挂断（204-1-501）
	主叫振铃接通，被叫未振铃（204-105-501）
	主叫振铃接通，被叫振铃，被叫挂断（204-105-502）
	主叫振铃接通，被叫振铃，主叫挂断（204-105-503）
	主叫振铃接通，被叫振铃接通，被叫挂断（205-1-254,205-2-254）
	主叫振铃接通，被叫振铃接通，主叫挂断（205-1-255,205-2-255）
   * @author PJJ
   *
   */
    public enum EndReason {
    	ani_no_zhenling("204-500-501","主叫未振铃挂断"),
    	ani_zhenling_guaduan("204-1-501","主叫振铃挂断"),
    	dnis_nozhenling("204-105-501","主叫振铃接通，被叫未振铃"),
    	dnis_yeszhengling_guaduan("204-105-502","主叫振铃接通，被叫振铃，被叫挂断"),
    	ani_guaduan("204-105-503","主叫振铃接通，被叫振铃，主叫挂断"),
    	two_dnis_guaduan("205-1-254,205-2-254","主叫振铃接通，被叫振铃接通，被叫挂断"),
    	two_ani_guaduan("205-1-255,205-2-255","主叫振铃接通，被叫振铃接通，主叫挂断");

        private String name;
        private String value;

        public static EndReason codeOf(String value) {
            for(EndReason a:EndReason.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        EndReason(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
}
