package com.up.zpb.vo.enums;

public class OfficeEnum {

	//标签：eg：可明火、近地铁
	public static final String OFFICE_LABEL_KEY = "410";
	//配套设施：eg：天然气，详情页用
	public static final String OFFICE_MATCHE_KEY = "520";
	//写字楼类型
	public static final String OFFICE_TYPE = "510";
	//付款方式
	public static final String OFFICE_PAYMETHOD = "538";

	//销售类别（1:出租 2:出售 3:新盘出租 4-新盘出售）
    public enum TypeSale {
    	RENT("1", "出租"), SALE("2", "出售"), NEWS_RENT("3", "新盘出租"), NEWS_SALE("4", "新盘出售");

        private String name;
        private String value;

        public static TypeSale codeOf(String value) {
            for(TypeSale a:TypeSale.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        TypeSale(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
    
    //交易节点： 3-到访 4-认购 5-签约 6-结佣 7-终止（完成交易）
    public enum NodeStatus {
        DAOFANG("3", "到访"), RENGOU("4", "认购"), SIGN("5", "签约"), JIEYONG("6", "结佣"), COMPLETE("7", "终止（完成交易）");

        private String name;
        private String value;

        public static NodeStatus codeOf(String value) {
            for(NodeStatus a:NodeStatus.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        NodeStatus(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
 /* //支付方式
    public enum PayMethod {
        SALE("1", "出租"), RENT("2", "出售"), NEWS_RENT("3", "新盘出租"), NEWS_SALE("4", "新盘出售");

        private String name;
        private String value;

        public static PayMethod codeOf(String value) {
            for(PayMethod a:PayMethod.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        PayMethod(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }*/
    
    
    //委托类型: 1-写字楼求购 2-写字楼求租 3-写字楼新盘求购 4-写字楼新盘求租
    public enum LookOfficeTypes {
    	LOOK_SALE("1", "写字楼求购"), lOOK_RENT("2", "写字楼求租"), LOOK_NEWS_SALE("3", "写字楼新盘求购"), LOOK_NEWS_RENT("4", "写字楼新盘求租");

        private String name;
        private String value;

        public static LookOfficeTypes codeOf(String value) {
            for(LookOfficeTypes a:LookOfficeTypes.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        LookOfficeTypes(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
}
